Skip to main content
GET
/
em-rules
List rules
import requests

url = "https://{commerce_studio_id}.experiencemanager.lucidworks.com/em-rules"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
{
  "content": [
    {
      "type": "blockList",
      "id": "550e8400-e29b-41d4-a716-446655440000",
      "createdBy": "user@example.com",
      "creationDate": "2026-01-15T14:30:00Z",
      "lastModifiedBy": "user@example.com",
      "lastModified": "2026-01-15T14:30:00Z",
      "name": "Block discontinued products",
      "published": true,
      "markedForDeletion": false,
      "deleted": false,
      "description": "Blocks discontinued items from search results",
      "tags": [
        "maintenance"
      ],
      "groups": [],
      "segments": [],
      "precedence": 1,
      "conditions": {
        "queries": [
          "laptops"
        ],
        "fieldValues": [],
        "queryProfiles": [],
        "effectiveStart": null,
        "effectiveEnd": null
      },
      "fieldName": "id",
      "fieldValues": [
        "PROD-001",
        "PROD-002"
      ]
    }
  ],
  "page": {
    "size": 20,
    "number": 0,
    "totalElements": 45,
    "totalPages": 3
  }
}

Documentation Index

Fetch the complete documentation index at: https://doc.lucidworks.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

searchQuery
string

Search query for text-based search (used with textSearchRelevance sort).

tags
string[]

Filter by tags (OR logic).

groups
string[]

Filter by rule groups (OR logic).

types
string[]

Types of rules to filter by (OR logic).

publishState
enum<string>

Filter by publish state.

Available options:
DRAFT,
PUBLISHED,
PUBLISHED_WITH_DRAFT_EDITS
published
boolean

Filter by published status.

targetedDocumentId
string

Filter by targeted document ID (cannot be combined with other filters).

targetedDocumentIdField
string

Field name for targeted document search (defaults to id).

activeDateStart
string<date-time>

Filter by active date start (ISO 8601 date-time).

activeDateEnd
string<date-time>

Filter by active date end (ISO 8601 date-time).

expirationDateStart
string<date-time>

Filter by expiration date start (ISO 8601 date-time).

expirationDateEnd
string<date-time>

Filter by expiration date end (ISO 8601 date-time).

lastModifiedStart
string<date-time>

Filter by last modified start (ISO 8601 date-time).

lastModifiedEnd
string<date-time>

Filter by last modified end (ISO 8601 date-time).

createdStart
string<date-time>

Filter by creation date start (ISO 8601 date-time).

createdEnd
string<date-time>

Filter by creation date end (ISO 8601 date-time).

contentType
enum<string>

Filter by content type.

Available options:
RULE,
QUERY_REWRITE
page
integer<int32>
default:0

Page number for pagination (zero-indexed).

Required range: x >= 0
size
integer<int32>
default:20

Number of items per page.

Required range: x >= 1
sort
string[]

Sort order in the format property,direction (e.g., createdDate,desc). Can specify multiple sort parameters.

fields
enum<string>[]

Optional additional fields to include in the response. Keep in mind that additional fields can slow the call and increase the response size.

Available options:
TARGETED_DOCUMENTS,
CONFLICTS,
IS_PENDING_BULK_OPERATION,
FUSION_SYNC_STATUS,
MIGRATION

Response

OK

content
(BannerRuleSummary · object | BlockByAttributeRuleSummary · object | BlockListRuleSummary · object | BoostAttributesRuleSummary · object | BoostListRuleSummary · object | BuryAttributesRuleSummary · object | BuryListRuleSummary · object | FilterListRuleSummary · object | InGroupBoostListRuleSummary · object | InGroupBuryListRuleSummary · object | InGroupPinRuleSummary · object | JsonBlobRuleSummary · object | PinRuleSummary · object | RedirectRuleSummary · object | any | SetJSONFacetsRuleSummary · object | SetParamsRuleSummary · object)[]

Displays a banner in the search results when rule criteria match.

page
PageMetadata · object